<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Ausgaben\Markieren;

class MarkierenPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new MarkierenView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new MarkierenViewModel();
    $viewModel->tool = $this->useCaseResponse->toolId;
    $viewModel->action = $this->useCaseResponse->action;
    $viewModel->label1 = $this->useCaseResponse->label1;
    $viewModel->label2 = $this->useCaseResponse->label2;

    return $viewModel;
  }
}